> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v3/motorsport-api/welcome/response-codes.md).

# Response Codes

Whenever you receive an unexpected response, or are experiencing unexpected behaviour, you should check the request's HTTP response code and reference it with the table below. The following are all possible HTTP response codes for any request made to the API:

| Code                           | Description                                                                                                                                                                                                                                |
| ------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| **200: OK**                    | Request succeeded                                                                                                                                                                                                                          |
| **400: Bad Request**           | It seems that some part of the request is malformed. The exact reason is returned in the response.                                                                                                                                         |
| **401: Unauthorized**          | The request is not authenticated.                                                                                                                                                                                                          |
| **403: Forbidden**             | Not authorized. Indicates you're attempting to access a feed that is not accessible from your plan.                                                                                                                                        |
| **429: Too Many Requests**     | Too many requests. In order to make the API as responsive as possible, you have an hourly request limit. The limit for your current subscription can be found in any successful response. Check the "meta" section to find out your limit. |
| **500: Internal Server Error** | An internal error has occurred and has been logged for further inspection. Please email support if you are receiving this error.                                                                                                           |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportmonks.com/v3/motorsport-api/welcome/response-codes.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
